# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-YAML-Valid
Version:	0.04
Release:	8.%{__distinit}%{__distvers}
Summary:	Lets you test the validity of YAML files in unit tests
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-YAML-Valid/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JR/JROCKWAY/Test-YAML-Valid-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(YAML) >= 0.60
BuildRequires:	perl(YAML::Syck)
BuildRequires:	perl(YAML::Tiny)
BuildRequires:	perl(YAML::XS)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Default backend; can also optionally use YAML::Syck, YAML::Tiny, or YAML::XS
Requires:	perl(YAML) >= 0.60

%description
Lets you test the validity of YAML files inside your
(Test::Builder-based) unit tests.

%prep
%setup -q -n Test-YAML-Valid-%{version}

%build
perl Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::YAML::Valid.3pm*

%changelog
* Wed Jul  4 2012 Paul Howarth <paul@city-fan.org> - 0.04-8
- BR: perl(base), perl(Carp), perl(Cwd), perl(Exporter), perl(File::Path),
  perl(File::Spec) and perl(File::Spec::Functions)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Always BR: perl(YAML::XS)
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jun 30 2011 Paul Howarth <paul@city-fan.org> - 0.04-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Mar 16 2011 Paul Howarth <paul@city-fan.org> - 0.04-5
- Import from Fedora

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu Jul 01 2010 Mark Chappell <tremble@fedoraproject.org> - 0.04-2
- Add in missing BR for extra tests

* Wed Jun 30 2010 Mark Chappell <tremble@fedoraproject.org> - 0.04-1
- New upstream version

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-8
- Mass rebuild with perl-5.12.0

* Tue Jan 12 2010 Daniel P. Berrange <berrange@redhat.com> - 0.03-7
- Fix source URL

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.03-6
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Daniel P. Berrange <berrange@redhat.com> - 0.03-4.fc11
- Add perl(YAML) and perl(YAML::Syck) requirements (rhbz #495401)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-2
- Rebuild for new perl

* Fri Dec 21 2007 Daniel P. Berrange <berrange@redhat.com> 0.03-1
- Specfile autogenerated by cpanspec 1.73
